Bug 90729 - sendmail should default to charset utf-8
Summary: sendmail should default to charset utf-8
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-13 00:29 UTC by Tim Landscheidt
Modified: 2007-03-27 04:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-13 21:56:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Landscheidt 2003-05-13 00:29:38 UTC
This is a rather complex problem but I think sendmail is the place to fix it. 
 
If you use (vixie-) cron (at probably as well) and the outputs of your jobs include non-ASCII 
characters (e. g. umlauts), they are not declared and therefore cannot be displayed properly in 
the MUA. 
 
Instead of tweaking cron, at and the dozens of other components who make use of sendmail, I 
would suggest to change latter's behaviour: 
 
*If* there is no "Content-Type" header 
*and* there are characters > 127 in the input, 
*then* add a "Content-Type: text/plain; charset=utf-8" header.

Comment 1 Florian La Roche 2003-08-13 21:56:02 UTC
This is not something I would change for Red Hat Linux. please talk to the
upstream sendmail people if you want to get this in.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.